#include<p18f452.h>
#define mybit PORTBbits.RB7
#pragma config WDT=OFF //Turn watchdog timer off
#pragma config OSC=HS //For 4MHz oscillator

void chk_isr(void);
void INT0_pump(void);
# pragma interrupt chk_isr
void chk_isr(void)
{
 if(INTCONbits.INT0IF==1)
   {
     INT0_pump();
	}
 }
# pragma code My_HiPrio_Int=0x08
void My_HiPrio_Int (void)
{ 
  _asm
  GOTO chk_isr
  _endasm
}
# pragma code
 void main(void)
 {
  TRISBbits.TRISB7=0;
  mybit=1;
 }
 void INT0_pump(void)
 { int i;
  for(i=0; i<=75; i++)
  { 
    T0CON=0x02;
	TMR0H=0xF4;
	TMR0L=0x24;
	T0CONbits.TMR0ON=1;
	   while(INTCONbits.TMR0IF==0);
	T0CONbits.TMR0ON=0;
	INTCONbits.TMR0IF=0;
  }
    INTCONbits.INT0IE=0;
	INTCONbits.GIE=0;
	TRISDbits.TRISD1=0;
	PORTDbits.RD1=1;

}